package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PersonnelManagementMapper;
import com.ruoyi.system.domain.PersonnelManagement;
import com.ruoyi.system.service.IPersonnelManagementService;

/**
 * 人员管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-28
 */
@Service
public class PersonnelManagementServiceImpl implements IPersonnelManagementService 
{
    @Autowired
    private PersonnelManagementMapper personnelManagementMapper;

    /**
     * 查询人员管理
     * 
     * @param personneId 人员管理主键
     * @return 人员管理
     */
    @Override
    public PersonnelManagement selectPersonnelManagementByPersonneId(Long personneId)
    {
        return personnelManagementMapper.selectPersonnelManagementByPersonneId(personneId);
    }

    /**
     * 查询人员管理列表
     * 
     * @param personnelManagement 人员管理
     * @return 人员管理
     */
    @Override
    public List<PersonnelManagement> selectPersonnelManagementList(PersonnelManagement personnelManagement)
    {
        return personnelManagementMapper.selectPersonnelManagementList(personnelManagement);
    }

    /**
     * 新增人员管理
     * 
     * @param personnelManagement 人员管理
     * @return 结果
     */
    @Override
    public int insertPersonnelManagement(PersonnelManagement personnelManagement)
    {
        personnelManagement.setCreateTime(DateUtils.getNowDate());
        return personnelManagementMapper.insertPersonnelManagement(personnelManagement);
    }

    /**
     * 修改人员管理
     * 
     * @param personnelManagement 人员管理
     * @return 结果
     */
    @Override
    public int updatePersonnelManagement(PersonnelManagement personnelManagement)
    {
        personnelManagement.setUpdateTime(DateUtils.getNowDate());
        return personnelManagementMapper.updatePersonnelManagement(personnelManagement);
    }

    /**
     * 批量删除人员管理
     * 
     * @param personneIds 需要删除的人员管理主键
     * @return 结果
     */
    @Override
    public int deletePersonnelManagementByPersonneIds(Long[] personneIds)
    {
        return personnelManagementMapper.deletePersonnelManagementByPersonneIds(personneIds);
    }

    /**
     * 删除人员管理信息
     * 
     * @param personneId 人员管理主键
     * @return 结果
     */
    @Override
    public int deletePersonnelManagementByPersonneId(Long personneId)
    {
        return personnelManagementMapper.deletePersonnelManagementByPersonneId(personneId);
    }
}
